#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Tool to export CVS history into a fast-import stream
Summary(pl.UTF-8):	Narzędzie eksportujące historię CVS w postaci strumienia fast-import
Name:		cvs-fast-export
Version:	1.66
Release:	1
License:	GPL v2
Group:		Development/Version Control
Source0:	http://www.catb.org/~esr/cvs-fast-export/%{name}-%{version}.tar.gz
# Source0-md5:	b619c3dc9c72cc1b14f8b4fefdcb4f32
Patch0:		hack-disable-cvsignore.patch
Patch1:		%{name}-tsan.patch
Patch2:		%{name}-asan.patch
Patch3:		%{name}-ubsan.patch
URL:		http://www.catb.org/~esr/cvs-fast-export/
BuildRequires:	asciidoc
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	cvs
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Export an RCS or CVS history as a fast-import stream. This program
analyzes a collection of RCS files in a CVS repository (or outside of
one) and, when possible, emits an equivalent history in the form of a
fast-import stream. Not all possible histories can be rendered this
way; the program tries to emit useful warnings when it can't. The
program can also produce a visualization of the resulting commit DAG
in the DOT format handled by the graphviz suite. The package also
includes cvssync, a tool for mirroring masters from remote CVS hosts.

%description -l pl.UTF-8
To narzędzie eksportuje historię RCS lub CVS w postaci strumienia
fast-import. Program analizuje zbiór plików RCS w repozytorium CVS
(lub na zewnątrz) i, w miarę możliwości, wypuszcza odpowiadającą mu
historię w postaci strumienia fast-import. Nie wszystkie historie
można w ten sposób przedstawić - w razie problemów program próbuje
wypisać przydatne ostrzeżenia. Program potrafi także utworzyć
wizualizację wynikowego skierowanego grafu acyklicznego (DAG) zmian
(commitów) w formacie DOT, obsługiwanym przez narzędzia graphviz.
Pakiet zawiera także narzędzie cvssync do tworzenia kopii lustrzanych
ze zdalnych serwerów CVS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__sed} -i -e '1s,/usr/bin/env python3$,%{__python3},' cvsconvert cvsstrip

%build
%{__make} cvs-fast-export man \
	CC="%{__cc}" \
	EXTRA_CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%if %{with tests}
# tests are racy, use -j1
%{__make} -C tests -j1
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS.adoc README.adoc TODO.adoc
%attr(755,root,root) %{_bindir}/cvs-fast-export
%attr(755,root,root) %{_bindir}/cvsconvert
%attr(755,root,root) %{_bindir}/cvssync
%{_mandir}/man1/cvs-fast-export.1*
%{_mandir}/man1/cvsconvert.1*
%{_mandir}/man1/cvssync.1*
%changelog
* Sun Apr 07 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cvs-fast-export.git;a=log;h=master

* Sun Apr 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 0980b64
- updated to 1.66

* Sat Dec 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 0b0bfc9
- added tsan,asan,ubsan patches (fix issues detected by gcc sanitizers)

* Sun Dec 10 2023 Jakub Bogusz <qboosh@pld-linux.org> 88b63e8
- tests require cvs

* Sun Dec 10 2023 Jakub Bogusz <qboosh@pld-linux.org> 3b06bcd
- updated to 1.62, enabled tests; python3 now

* Thu Oct 13 2016 Elan Ruusamäe <glen@delfi.ee> 74f2817
- add upstream link

* Thu Oct 13 2016 Elan Ruusamäe <glen@delfi.ee> ea069db
- env hack to be able to disable .gitignore generation

* Thu Oct 13 2016 Elan Ruusamäe <glen@delfi.ee> 36327d5
- up to 1.40

* Fri Apr 15 2016 Elan Ruusamäe <glen@delfi.ee> 29f23ba
- up to 1.38

* Tue Nov 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 76acf20
- updated to 1.35

* Wed Oct 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 1ae4835
- updated to 1.34

* Mon May 04 2015 Jakub Bogusz <qboosh@pld-linux.org> e7bd56f
- avoid hiding python dependencies behind /usr/bin/env
- drop scripts from explicit make targets (nothing to do)

* Wed Apr 29 2015 Kacper Kornet <draenog@pld-linux.org> 44c23e2
- up to 1.31

* Mon Apr 13 2015 Elan Ruusamäe <glen@delfi.ee> 9170a9a
- disable debugedit. broken

* Mon Apr 13 2015 Elan Ruusamäe <glen@delfi.ee> c03c054
- up to 1.30, list make targets not to build doc in install

* Tue Oct 21 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 28d9278
- up to 1.21

* Thu Oct 09 2014 Jakub Bogusz <qboosh@pld-linux.org> ccf01b4
- updated to 1.20
- pl

* Tue Oct 07 2014 Elan Ruusamäe <glen@delfi.ee> 9c50389
- add bcond to run regression tests

* Tue Oct 07 2014 Elan Ruusamäe <glen@delfi.ee> 83fd145
- up to 1.14

* Fri Apr 04 2014 Kacper Kornet <draenog@pld-linux.org> 3513377
- rel. 1

* Fri Apr 04 2014 Kacper Kornet <draenog@pld-linux.org> 63b9a7a
- initial version

